<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-disciplina-heading" data-cy="DisciplinaCreateUpdateHeading" jhiTranslate="matrixApp.disciplina.home.createOrEditLabel">
        Criar ou editar Disciplina
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="matrixApp.disciplina.id" for="field_id">Id</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.disciplina.descricao" for="field_descricao">Descricao</label>
          <input type="text" class="form-control" name="descricao" id="field_descricao" data-cy="descricao" formControlName="descricao" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.disciplina.periodo" for="field_periodo">Periodo</label>
          <select
            class="form-control"
            id="field_periodo"
            data-cy="periodo"
            name="periodo"
            formControlName="periodo"
            [compareWith]="comparePeriodo"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="periodoOption" *ngFor="let periodoOption of periodosSharedCollection">{{ periodoOption.id }}</option>
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.disciplina.trilha" for="field_trilha">Trilha</label>
          <select
            class="form-control"
            id="field_trilha"
            data-cy="trilha"
            name="trilha"
            formControlName="trilha"
            [compareWith]="compareTrilha"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="trilhaOption" *ngFor="let trilhaOption of trilhasSharedCollection">{{ trilhaOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancelar</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Salvar</span>
        </button>
      </div>
    </form>
  </div>
</div>
